Gyoto::Functor::Double_constDoubleArray Class Referenceabstract

A functor like double (func) (double const data[]). More...

`#include <GyotoFunctors.h>`

Inheritance diagram for Gyoto::Functor::Double_constDoubleArray:

## Public Member Functions

virtual double | operator() (double const data[])=0
| The actual function.

## Detailed Description

A functor like double (func) (double const data[]).

## Member Function Documentation

## operator()()

virtual double Gyoto::Functor::Double_constDoubleArray::operator() | ( | double const | data[] | ) |

pure virtual

The actual function.

Implemented in Gyoto::Astrobj::ThinDisk.

The documentation for this class was generated from the following file:

- GyotoFunctors.h